Please select To the mobile version | Continue to access the desktop computer version

OrangePi

 Login            
 Register            
Search
Hot search: orangepi
Author: melanrz

Videotutorial for working gpu acceleration

[Copy link]

18

Threads

303

Posts

7633

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
7633
Post time 2015-12-8 23:10:33 | Show all posts
Can you post a RetroArch installation guide? I watched the video you posted. I would like to try.

11

Threads

286

Posts

1859

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
1859
 Author| Post time 2015-12-9 08:42:25 | Show all posts
Edited by melanrz at 2015-12-9 08:52

http://ubuntuhandbook.org/index. ... h-ubuntu-1504-1404/

11

Threads

286

Posts

1859

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
1859
 Author| Post time 2015-12-9 08:54:22 | Show all posts

3

Threads

65

Posts

256

Credits

Intermediate member

Rank: 3Rank: 3

Credits
256
Post time 2015-12-9 09:11:35 | Show all posts
Fantastic "melanrz1" good job bound to u and the authors of development

18

Threads

303

Posts

7633

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
7633
Post time 2015-12-9 18:08:30 | Show all posts
melanrz replied at 2015-12-9 08:42
http://ubuntuhandbook.org/index.php/2015/05/install-retroarch-ubuntu-1504-1404/

Got errors like below when download and install the package.
https://launchpad.net/~libretro/+archive/ubuntu/testing/+packages?batch=75
  1. Unpacking libretro-common-overlays (0.1+r38~1~ubuntu15.10.1) ...
  2. dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt
  3. dpkg-deb: error: subprocess <decompress> returned error exit status 2
  4. dpkg: error processing archive libretro-common-overlays_0.1+r38-1-ubuntu15.10.1_all.deb (--install):
  5. cannot copy extracted data for './usr/share/libretro/overlays/wii/gb.png' to '/usr/share/libretro/overlays/wii/gb.png.dpkg-new': unexpected end of file or stream
  6. Preparing to unpack libretro-common-shaders_0.1+r41-ubuntu15.10.1_armhf.deb ...
  7. Unpacking libretro-common-shaders (0.1+r41~ubuntu15.10.1) over (0.1+r41~ubuntu15.10.1) ...
  8. Preparing to unpack libretro-core-info_0.1+r1139~2~ubuntu15.04.1_all.deb ...
  9. Unpacking libretro-core-info (0.1+r1139~2~ubuntu15.04.1) over (0.1+r1139~2~ubuntu15.04.1) ...
  10. Preparing to unpack libretro-desmume_0.9.11+r5070~17~ubuntu15.10.1_armhf.deb ...
  11. Unpacking libretro-desmume:armhf (0.9.11+r5070~17~ubuntu15.10.1) over (0.9.11+r5070~17~ubuntu15.10.1) ...
  12. Preparing to unpack libretro-dinothawr_1.0+r398~18~ubuntu15.04.1_armhf.deb ...
  13. Unpacking libretro-dinothawr:armhf (1.0+r398~18~ubuntu15.04.1) over (1.0+r398~18~ubuntu15.04.1) ...
  14. Selecting previously unselected package libretro-dosbox:armhf.
  15. Preparing to unpack libretro-dosbox_0.020140105.svn3853+r141~4~ubuntu15.04.1_armhf.deb ...
  16. Unpacking libretro-dosbox:armhf (0.020140105.svn3853+r141~4~ubuntu15.04.1) ...
  17. Selecting previously unselected package libretro-eightyone:armhf.
  18. Preparing to unpack libretro-eightyone_1.0a+r94~1~ubuntu15.04.1_armhf.deb ...
  19. Unpacking libretro-eightyone:armhf (1.0a+r94~1~ubuntu15.04.1) ...
  20. Selecting previously unselected package libretro-fba:armhf.
  21. Preparing to unpack libretro-fba_0.2.97.37+r73+n43+co23+ct41~15~ubuntu15.04.1_armhf.deb ...
  22. Unpacking libretro-fba:armhf (0.2.97.37+r73+n43+co23+ct41~15~ubuntu15.04.1) ...
  23. Selecting previously unselected package libretro-fba-cps1:armhf.
  24. Preparing to unpack libretro-fba-cps1_0.2.97.37+r73+n43+co23+ct41~15~ubuntu15.04.1_armhf.deb ...
  25. Unpacking libretro-fba-cps1:armhf (0.2.97.37+r73+n43+co23+ct41~15~ubuntu15.04.1) ...
  26. Selecting previously unselected package libretro-fba-cps2:armhf.
  27. Preparing to unpack libretro-fba-cps2_0.2.97.37+r73+n43+co23+ct41~15~ubuntu15.04.1_armhf.deb ...
  28. Unpacking libretro-fba-cps2:armhf (0.2.97.37+r73+n43+co23+ct41~15~ubuntu15.04.1) ...
  29. Selecting previously unselected package libretro-fba-neogeo:armhf.
  30. Preparing to unpack libretro-fba-neogeo_0.2.97.37+r73+n43+co23+ct41~15~ubuntu15.04.1_armhf.deb ...
  31. Unpacking libretro-fba-neogeo:armhf (0.2.97.37+r73+n43+co23+ct41~15~ubuntu15.04.1) ...
  32. Selecting previously unselected package libretro-fceumm:armhf.
  33. Preparing to unpack libretro-fceumm_0.020140105.svn106+r131~9~ubuntu15.04.1_armhf.deb ...
  34. Unpacking libretro-fceumm:armhf (0.020140105.svn106+r131~9~ubuntu15.04.1) ...
  35. Selecting previously unselected package libretro-fmsx:armhf.
  36. Preparing to unpack libretro-fmsx_3.9+r56~4~ubuntu15.04.1_armhf.deb ...
  37. Unpacking libretro-fmsx:armhf (3.9+r56~4~ubuntu15.04.1) ...
  38. Selecting previously unselected package libretro-fuse:armhf.
  39. Preparing to unpack libretro-fuse_1.1.1+r127~4~ubuntu15.04.1_armhf.deb ...
  40. Unpacking libretro-fuse:armhf (1.1.1+r127~4~ubuntu15.04.1) ...
  41. Selecting previously unselected package libretro-gambatte:armhf.
  42. Preparing to unpack libretro-gambatte_0.5.0+r514~10~ubuntu15.04.1_armhf.deb ...
  43. Unpacking libretro-gambatte:armhf (0.5.0+r514~10~ubuntu15.04.1) ...
  44. Preparing to unpack libretro-genesisplusgx_1.7.4+r700~13~ubuntu15.04.1_armhf.deb ...
  45. Unpacking libretro-genesisplusgx:armhf (1.7.4+r700~13~ubuntu15.04.1) over (1.7.4+r700~13~ubuntu15.04.1) ...
  46. Selecting previously unselected package libretro-gpsp:armhf.
  47. Preparing to unpack libretro-gpsp_0.9+r248~11~ubuntu15.04.1_armhf.deb ...
  48. Unpacking libretro-gpsp:armhf (0.9+r248~11~ubuntu15.04.1) ...
  49. Selecting previously unselected package libretro-gw:armhf.
  50. Preparing to unpack libretro-gw_1.0+r7~2~ubuntu15.04.1_armhf.deb ...
  51. Unpacking libretro-gw:armhf (1.0+r7~2~ubuntu15.04.1) ...
  52. Selecting previously unselected package libretro-handy:armhf.
  53. Preparing to unpack libretro-handy_0.95+r51~8~ubuntu15.04.1_armhf.deb ...
  54. Unpacking libretro-handy:armhf (0.95+r51~8~ubuntu15.04.1) ...
  55. Selecting previously unselected package libretro-hatari:armhf.
  56. Preparing to unpack libretro-hatari_1.8+r4135.1~8~ubuntu15.04.1_armhf.deb ...
  57. Unpacking libretro-hatari:armhf (1.8+r4135.1~8~ubuntu15.04.1) ...
  58. Selecting previously unselected package libretro-lutro:armhf.
  59. Preparing to unpack libretro-lutro_1.0+r157~1~ubuntu15.04.1_armhf.deb ...
  60. Unpacking libretro-lutro:armhf (1.0+r157~1~ubuntu15.04.1) ...
  61. Selecting previously unselected package libretro-mame:armhf.
  62. Preparing to unpack libretro-mame_0.02015.git+r32269~33~ubuntu15.04.1_armhf.deb ...
  63. Unpacking libretro-mame:armhf (0.02015.git+r32269~33~ubuntu15.04.1) ...
  64. Selecting previously unselected package libretro-mame2003:armhf.
  65. Preparing to unpack libretro-mame2003_0.78+r220~11~ubuntu15.04.1_armhf.deb ...
  66. Unpacking libretro-mame2003:armhf (0.78+r220~11~ubuntu15.04.1) ...
  67. Selecting previously unselected package libretro-mednafen-psx:armhf.
  68. Preparing to unpack libretro-mednafen-psx_0.9.38.6+r788~9~ubuntu15.04.1_armhf.deb ...
  69. Unpacking libretro-mednafen-psx:armhf (0.9.38.6+r788~9~ubuntu15.04.1) ...
  70. Selecting previously unselected package libretro-meteor:armhf.
  71. Preparing to unpack libretro-meteor_1.4+r103~4~ubuntu15.04.1_armhf.deb ...
  72. Unpacking libretro-meteor:armhf (1.4+r103~4~ubuntu15.04.1) ...
  73. Selecting previously unselected package libretro-mgba:armhf.
  74. Preparing to unpack libretro-mgba_0.4~WIP+r42~16~ubuntu15.04.1_armhf.deb ...
  75. Unpacking libretro-mgba:armhf (0.4~WIP+r42~16~ubuntu15.04.1) ...
  76. Selecting previously unselected package libretro-mupen64plus:armhf.
  77. Preparing to unpack libretro-mupen64plus_2.0+r2951~27~ubuntu15.04.1_armhf.deb ...
  78. Unpacking libretro-mupen64plus:armhf (2.0+r2951~27~ubuntu15.04.1) ...
  79. Selecting previously unselected package libretro-nestopia:armhf.
  80. Preparing to unpack libretro-nestopia_1.46.2+r456~8~ubuntu15.04.1_armhf.deb ...
  81. Unpacking libretro-nestopia:armhf (1.46.2+r456~8~ubuntu15.04.1) ...
  82. Selecting previously unselected package libretro-nxengine:armhf.
  83. Preparing to unpack libretro-nxengine_1.0.0.4+r390~4~ubuntu15.04.1_armhf.deb ...
  84. Unpacking libretro-nxengine:armhf (1.0.0.4+r390~4~ubuntu15.04.1) ...
  85. Selecting previously unselected package libretro-o2em:armhf.
  86. Preparing to unpack libretro-o2em_1.18+r58~7~ubuntu15.04.1_armhf.deb ...
  87. Unpacking libretro-o2em:armhf (1.18+r58~7~ubuntu15.04.1) ...
  88. Selecting previously unselected package libretro-pcsx-rearmed:armhf.
  89. Preparing to unpack libretro-pcsx-rearmed_22+r24~ubuntu15.04.1_armhf.deb ...
  90. Unpacking libretro-pcsx-rearmed:armhf (22+r24~ubuntu15.04.1) ...
  91. Selecting previously unselected package libretro-picodrive:armhf.
  92. Preparing to unpack libretro-picodrive_1.91+r24~ubuntu15.04.1_armhf.deb ...
  93. Unpacking libretro-picodrive:armhf (1.91+r24~ubuntu15.04.1) ...
  94. Selecting previously unselected package libretro-ppsspp:armhf.
  95. Preparing to unpack libretro-ppsspp_1.0.1+r87.n1212.f4.a161.t83~31~ubuntu15.04.1_armhf.deb ...
  96. Unpacking libretro-ppsspp:armhf (1.0.1+r87.n1212.f4.a161.t83~31~ubuntu15.04.1) ...
  97. Selecting previously unselected package libretro-prboom:armhf.
  98. Preparing to unpack libretro-prboom_2.5.0+r194~5~ubuntu15.04.1_armhf.deb ...
  99. Unpacking libretro-prboom:armhf (2.5.0+r194~5~ubuntu15.04.1) ...
  100. Selecting previously unselected package libretro-prosystem:armhf.
  101. Preparing to unpack libretro-prosystem_1.3e+r86~15~ubuntu15.04.1_armhf.deb ...
  102. Unpacking libretro-prosystem:armhf (1.3e+r86~15~ubuntu15.04.1) ...
  103. Selecting previously unselected package libretro-psp1:armhf.
  104. Preparing to unpack libretro-psp1_1.0.1+2.f4.a161.t83~1~ubuntu15.04.1_armhf.deb ...
  105. Unpacking libretro-psp1:armhf (1.0.1+2.f4.a161.t83~1~ubuntu15.04.1) ...
  106. Selecting previously unselected package libretro-quicknes:armhf.
  107. Preparing to unpack libretro-quicknes_1+r293~3~ubuntu15.04.1_armhf.deb ...
  108. Unpacking libretro-quicknes:armhf (1+r293~3~ubuntu15.04.1) ...
  109. Selecting previously unselected package libretro-snes9x:armhf.
  110. Preparing to unpack libretro-snes9x_1.53+r318~8~ubuntu15.04.1_armhf.deb ...
  111. Unpacking libretro-snes9x:armhf (1.53+r318~8~ubuntu15.04.1) ...
  112. Selecting previously unselected package libretro-snes9x-next:armhf.
  113. Preparing to unpack libretro-snes9x-next_1.52.4+r17~2~ubuntu15.04.1_armhf.deb ...
  114. Unpacking libretro-snes9x-next:armhf (1.52.4+r17~2~ubuntu15.04.1) ...
  115. Selecting previously unselected package libretro-stella:armhf.
  116. Preparing to unpack libretro-stella_3.9.3+r51.5~8~ubuntu15.04.1_armhf.deb ...
  117. Unpacking libretro-stella:armhf (3.9.3+r51.5~8~ubuntu15.04.1) ...
  118. Selecting previously unselected package libretro-tgbdual:armhf.
  119. Preparing to unpack libretro-tgbdual_0.8.3+r64~6~ubuntu15.04.1_armhf.deb ...
  120. Unpacking libretro-tgbdual:armhf (0.8.3+r64~6~ubuntu15.04.1) ...
  121. Selecting previously unselected package libretro-tyrquake:armhf.
  122. Preparing to unpack libretro-tyrquake_0.62+r1476~5~ubuntu15.04.1_armhf.deb ...
  123. Unpacking libretro-tyrquake:armhf (0.62+r1476~5~ubuntu15.04.1) ...
  124. Selecting previously unselected package libretro-vbam:armhf.
  125. Preparing to unpack libretro-vbam_1.8.0-svn+r1127~9~ubuntu15.04.1_armhf.deb ...
  126. Unpacking libretro-vbam:armhf (1.8.0-svn+r1127~9~ubuntu15.04.1) ...
  127. Selecting previously unselected package libretro-vba-next:armhf.
  128. Preparing to unpack libretro-vba-next_1.0.2+r9~11~ubuntu15.04.1_armhf.deb ...
  129. Unpacking libretro-vba-next:armhf (1.0.2+r9~11~ubuntu15.04.1) ...
  130. Selecting previously unselected package libretro-vecx:armhf.
  131. Preparing to unpack libretro-vecx_1.0+r45~5~ubuntu15.04.1_armhf.deb ...
  132. Unpacking libretro-vecx:armhf (1.0+r45~5~ubuntu15.04.1) ...
  133. Selecting previously unselected package libretro-virtualjaguar:armhf.
  134. Preparing to unpack libretro-virtualjaguar_2.1.0+r135~11~ubuntu15.04.1_armhf.deb ...
  135. Unpacking libretro-virtualjaguar:armhf (2.1.0+r135~11~ubuntu15.04.1) ...
  136. Selecting previously unselected package libretro-yabause:armhf.
  137. Preparing to unpack libretro-yabause_0.9.14+r2507~14~ubuntu15.04.1_armhf.deb ...
  138. Unpacking libretro-yabause:armhf (0.9.14+r2507~14~ubuntu15.04.1) ...
  139. Selecting previously unselected package retroarch.
  140. Preparing to unpack retroarch_1.2.2+r272~21~ubuntu15.04.1_armhf(1).deb ...
  141. Unpacking retroarch (1.2.2+r272~21~ubuntu15.04.1) ...
  142. Preparing to unpack retroarch_1.2.2+r272~21~ubuntu15.04.1_armhf.deb ...
  143. Unpacking retroarch (1.2.2+r272~21~ubuntu15.04.1) over (1.2.2+r272~21~ubuntu15.04.1) ...
  144. More than one copy of package retroarch has been unpacked
  145. in this run !  Only configuring it once.
  146. dpkg: dependency problems prevent configuration of libretro-beetle-pce-fast:armhf:
  147. libretro-beetle-pce-fast:armhf depends on libtrio2 (>= 1.16); however:
  148.   Package libtrio2 is not installed.

  149. dpkg: error processing package libretro-beetle-pce-fast:armhf (--install):
  150. dependency problems - leaving unconfigured
  151. dpkg: dependency problems prevent configuration of libretro-beetle-vb:armhf:
  152. libretro-beetle-vb:armhf depends on libtrio2 (>= 1.16); however:
  153.   Package libtrio2 is not installed.

  154. dpkg: error processing package libretro-beetle-vb:armhf (--install):
  155. dependency problems - leaving unconfigured
  156. Setting up libretro-common-shaders (0.1+r41~ubuntu15.10.1) ...
  157. Setting up libretro-core-info (0.1+r1139~2~ubuntu15.04.1) ...
  158. dpkg: dependency problems prevent configuration of libretro-desmume:armhf:
  159. libretro-desmume:armhf depends on libstdc++6 (>= 5.2); however:
  160.   Version of libstdc++6:armhf on system is 4.9.2-10.
  161. libretro-desmume:armhf depends on libtinyxml2.6.2v5; however:
  162.   Package libtinyxml2.6.2v5 is not installed.

  163. dpkg: error processing package libretro-desmume:armhf (--install):
  164. dependency problems - leaving unconfigured
  165. dpkg: dependency problems prevent configuration of libretro-mednafen-psx:armhf:
  166. libretro-mednafen-psx:armhf depends on libtrio2 (>= 1.16); however:
  167.   Package libtrio2 is not installed.

  168. dpkg: error processing package libretro-mednafen-psx:armhf (--install):
  169. dependency problems - leaving unconfigured
  170. dpkg: dependency problems prevent configuration of retroarch:
  171. retroarch depends on libpython3.4 (>= 3.4.2); however:
  172.   Package libpython3.4 is not installed.
  173. retroarch depends on libsdl2-2.0-0 (>= 2.0.0); however:
  174.   Package libsdl2-2.0-0 is not installed.

  175. dpkg: error processing package retroarch (--install):
  176. dependency problems - leaving unconfigured
  177. dpkg: dependency problems prevent configuration of dinothawr:
  178. dinothawr depends on retroarch; however:
  179.   Package retroarch is not configured yet.

  180. dpkg: error processing package dinothawr (--install):
  181. dependency problems - leaving unconfigured
  182. dpkg: dependency problems prevent configuration of libretro-2048:armhf:
  183. libretro-2048:armhf depends on retroarch | libretro-frontend; however:
  184.   Package retroarch is not configured yet.
  185.   Package libretro-frontend is not installed.

  186. dpkg: error processing package libretro-2048:armhf (--install):
  187. dependency problems - leaving unconfigured
  188. dpkg: dependency problems prevent configuration of libretro-4do:armhf:
  189. libretro-4do:armhf depends on retroarch | libretro-frontend; however:
  190.   Package retroarch is not configured yet.
  191.   Package libretro-frontend is not installed.

  192. dpkg: error processing package libretro-4do:armhf (--install):
  193. dependency problems - leaving unconfigured
  194. dpkg: dependency problems prevent configuration of libretro-beetle-gba:armhf:
  195. libretro-beetle-gba:armhf depends on retroarch | libretro-frontend; however:
  196.   Package retroarch is not configured yet.
  197.   Package libretro-frontend is not installed.

  198. dpkg: error processing package libretro-beetle-gba:armhf (--install):
  199. dependency problems - leaving unconfigured
  200. dpkg: dependency problems prevent configuration of libretro-beetle-lynx:armhf:
  201. libretro-beetle-lynx:armhf depends on retroarch | libretro-frontend; however:
  202.   Package retroarch is not configured yet.
  203.   Package libretro-frontend is not installed.

  204. dpkg: error processing package libretro-beetle-lynx:armhf (--install):
  205. dependency problems - leaving unconfigured
  206. dpkg: dependency problems prevent configuration of libretro-beetle-ngp:armhf:
  207. libretro-beetle-ngp:armhf depends on retroarch | libretro-frontend; however:
  208.   Package retroarch is not configured yet.
  209.   Package libretro-frontend is not installed.

  210. dpkg: error processing package libretro-beetle-ngp:armhf (--install):
  211. dependency problems - leaving unconfigured
  212. dpkg: dependency problems prevent configuration of libretro-beetle-pcfx:armhf:
  213. libretro-beetle-pcfx:armhf depends on retroarch | libretro-frontend; however:
  214.   Package retroarch is not configured yet.
  215.   Package libretro-frontend is not installed.

  216. dpkg: error processing package libretro-beetle-pcfx:armhf (--install):
  217. dependency problems - leaving unconfigured
  218. dpkg: dependency problems prevent configuration of libretro-beetle-sgx:armhf:
  219. libretro-beetle-sgx:armhf depends on retroarch | libretro-frontend; however:
  220.   Package retroarch is not configured yet.
  221.   Package libretro-frontend is not installed.

  222. dpkg: error processing package libretro-beetle-sgx:armhf (--install):
  223. dependency problems - leaving unconfigured
  224. dpkg: dependency problems prevent configuration of libretro-beetle-wswan:armhf:
  225. libretro-beetle-wswan:armhf depends on retroarch | libretro-frontend; however:
  226.   Package retroarch is not configured yet.
  227.   Package libretro-frontend is not installed.

  228. dpkg: error processing package libretro-beetle-wswan:armhf (--install):
  229. dependency problems - leaving unconfigured
  230. dpkg: dependency problems prevent configuration of libretro-bluemsx:armhf:
  231. libretro-bluemsx:armhf depends on retroarch | libretro-frontend; however:
  232.   Package retroarch is not configured yet.
  233.   Package libretro-frontend is not installed.

  234. dpkg: error processing package libretro-bluemsx:armhf (--install):
  235. dependency problems - leaving unconfigured
  236. dpkg: dependency problems prevent configuration of libretro-bsnes-accuracy:armhf:
  237. libretro-bsnes-accuracy:armhf depends on retroarch | libretro-frontend; however:
  238.   Package retroarch is not configured yet.
  239.   Package libretro-frontend is not installed.

  240. dpkg: error processing package libretro-bsnes-accuracy:armhf (--install):
  241. dependency problems - leaving unconfigured
  242. dpkg: dependency problems prevent configuration of libretro-bsnes-balanced:armhf:
  243. libretro-bsnes-balanced:armhf depends on retroarch | libretro-frontend; however:
  244.   Package retroarch is not configured yet.
  245.   Package libretro-frontend is not installed.

  246. dpkg: error processing package libretro-bsnes-balanced:armhf (--install):
  247. dependency problems - leaving unconfigured
  248. dpkg: dependency problems prevent configuration of libretro-bsnes-mercury-accuracy:armhf:
  249. libretro-bsnes-mercury-accuracy:armhf depends on retroarch | libretro-frontend; however:
  250.   Package retroarch is not configured yet.
  251.   Package libretro-frontend is not installed.

  252. dpkg: error processing package libretro-bsnes-mercury-accuracy:armhf (--install):
  253. dependency problems - leaving unconfigured
  254. dpkg: dependency problems prevent configuration of libretro-bsnes-mercury-balanced:armhf:
  255. libretro-bsnes-mercury-balanced:armhf depends on retroarch | libretro-frontend; however:
  256.   Package retroarch is not configured yet.
  257.   Package libretro-frontend is not installed.

  258. dpkg: error processing package libretro-bsnes-mercury-balanced:armhf (--install):
  259. dependency problems - leaving unconfigured
  260. dpkg: dependency problems prevent configuration of libretro-bsnes-mercury-performance:armhf:
  261. libretro-bsnes-mercury-performance:armhf depends on retroarch | libretro-frontend; however:
  262.   Package retroarch is not configured yet.
  263.   Package libretro-frontend is not installed.

  264. dpkg: error processing package libretro-bsnes-mercury-performance:armhf (--install):
  265. dependency problems - leaving unconfigured
  266. dpkg: dependency problems prevent configuration of libretro-bsnes-performance:armhf:
  267. libretro-bsnes-performance:armhf depends on retroarch | libretro-frontend; however:
  268.   Package retroarch is not configured yet.
  269.   Package libretro-frontend is not installed.

  270. dpkg: error processing package libretro-bsnes-performance:armhf (--install):
  271. dependency problems - leaving unconfigured
  272. dpkg: dependency problems prevent configuration of libretro-catsfc:armhf:
  273. libretro-catsfc:armhf depends on retroarch | libretro-frontend; however:
  274.   Package retroarch is not configured yet.
  275.   Package libretro-frontend is not installed.

  276. dpkg: error processing package libretro-catsfc:armhf (--install):
  277. dependency problems - leaving unconfigured
  278. dpkg: dependency problems prevent configuration of libretro-dinothawr:armhf:
  279. libretro-dinothawr:armhf depends on retroarch | libretro-frontend; however:
  280.   Package retroarch is not configured yet.
  281.   Package libretro-frontend is not installed.

  282. dpkg: error processing package libretro-dinothawr:armhf (--install):
  283. dependency problems - leaving unconfigured
  284. dpkg: dependency problems prevent configuration of libretro-dosbox:armhf:
  285. libretro-dosbox:armhf depends on retroarch | libretro-frontend; however:
  286.   Package retroarch is not configured yet.
  287.   Package libretro-frontend is not installed.

  288. dpkg: error processing package libretro-dosbox:armhf (--install):
  289. dependency problems - leaving unconfigured
  290. dpkg: dependency problems prevent configuration of libretro-eightyone:armhf:
  291. libretro-eightyone:armhf depends on retroarch | libretro-frontend; however:
  292.   Package retroarch is not configured yet.
  293.   Package libretro-frontend is not installed.

  294. dpkg: error processing package libretro-eightyone:armhf (--install):
  295. dependency problems - leaving unconfigured
  296. dpkg: dependency problems prevent configuration of libretro-fba:armhf:
  297. libretro-fba:armhf depends on retroarch | libretro-frontend; however:
  298.   Package retroarch is not configured yet.
  299.   Package libretro-frontend is not installed.

  300. dpkg: error processing package libretro-fba:armhf (--install):
  301. dependency problems - leaving unconfigured
  302. dpkg: dependency problems prevent configuration of libretro-fba-cps1:armhf:
  303. libretro-fba-cps1:armhf depends on retroarch | libretro-frontend; however:
  304.   Package retroarch is not configured yet.
  305.   Package libretro-frontend is not installed.

  306. dpkg: error processing package libretro-fba-cps1:armhf (--install):
  307. dependency problems - leaving unconfigured
  308. dpkg: dependency problems prevent configuration of libretro-fba-cps2:armhf:
  309. libretro-fba-cps2:armhf depends on retroarch | libretro-frontend; however:
  310.   Package retroarch is not configured yet.
  311.   Package libretro-frontend is not installed.

  312. dpkg: error processing package libretro-fba-cps2:armhf (--install):
  313. dependency problems - leaving unconfigured
  314. dpkg: dependency problems prevent configuration of libretro-fba-neogeo:armhf:
  315. libretro-fba-neogeo:armhf depends on retroarch | libretro-frontend; however:
  316.   Package retroarch is not configured yet.
  317.   Package libretro-frontend is not installed.

  318. dpkg: error processing package libretro-fba-neogeo:armhf (--install):
  319. dependency problems - leaving unconfigured
  320. dpkg: dependency problems prevent configuration of libretro-fceumm:armhf:
  321. libretro-fceumm:armhf depends on retroarch | libretro-frontend; however:
  322.   Package retroarch is not configured yet.
  323.   Package libretro-frontend is not installed.

  324. dpkg: error processing package libretro-fceumm:armhf (--install):
  325. dependency problems - leaving unconfigured
  326. dpkg: dependency problems prevent configuration of libretro-fmsx:armhf:
  327. libretro-fmsx:armhf depends on retroarch | libretro-frontend; however:
  328.   Package retroarch is not configured yet.
  329.   Package libretro-frontend is not installed.

  330. dpkg: error processing package libretro-fmsx:armhf (--install):
  331. dependency problems - leaving unconfigured
  332. dpkg: dependency problems prevent configuration of libretro-fuse:armhf:
  333. libretro-fuse:armhf depends on retroarch | libretro-frontend; however:
  334.   Package retroarch is not configured yet.
  335.   Package libretro-frontend is not installed.

  336. dpkg: error processing package libretro-fuse:armhf (--install):
  337. dependency problems - leaving unconfigured
  338. dpkg: dependency problems prevent configuration of libretro-gambatte:armhf:
  339. libretro-gambatte:armhf depends on retroarch | libretro-frontend; however:
  340.   Package retroarch is not configured yet.
  341.   Package libretro-frontend is not installed.

  342. dpkg: error processing package libretro-gambatte:armhf (--install):
  343. dependency problems - leaving unconfigured
  344. dpkg: dependency problems prevent configuration of libretro-genesisplusgx:armhf:
  345. libretro-genesisplusgx:armhf depends on retroarch | libretro-frontend; however:
  346.   Package retroarch is not configured yet.
  347.   Package libretro-frontend is not installed.

  348. dpkg: error processing package libretro-genesisplusgx:armhf (--install):
  349. dependency problems - leaving unconfigured
  350. dpkg: dependency problems prevent configuration of libretro-gpsp:armhf:
  351. libretro-gpsp:armhf depends on retroarch | libretro-frontend; however:
  352.   Package retroarch is not configured yet.
  353.   Package libretro-frontend is not installed.

  354. dpkg: error processing package libretro-gpsp:armhf (--install):
  355. dependency problems - leaving unconfigured
  356. dpkg: dependency problems prevent configuration of libretro-gw:armhf:
  357. libretro-gw:armhf depends on retroarch | libretro-frontend; however:
  358.   Package retroarch is not configured yet.
  359.   Package libretro-frontend is not installed.

  360. dpkg: error processing package libretro-gw:armhf (--install):
  361. dependency problems - leaving unconfigured
  362. dpkg: dependency problems prevent configuration of libretro-handy:armhf:
  363. libretro-handy:armhf depends on retroarch | libretro-frontend; however:
  364.   Package retroarch is not configured yet.
  365.   Package libretro-frontend is not installed.

  366. dpkg: error processing package libretro-handy:armhf (--install):
  367. dependency problems - leaving unconfigured
  368. dpkg: dependency problems prevent configuration of libretro-hatari:armhf:
  369. libretro-hatari:armhf depends on retroarch | libretro-frontend; however:
  370.   Package retroarch is not configured yet.
  371.   Package libretro-frontend is not installed.

  372. dpkg: error processing package libretro-hatari:armhf (--install):
  373. dependency problems - leaving unconfigured
  374. dpkg: dependency problems prevent configuration of libretro-lutro:armhf:
  375. libretro-lutro:armhf depends on retroarch | libretro-frontend; however:
  376.   Package retroarch is not configured yet.
  377.   Package libretro-frontend is not installed.

  378. dpkg: error processing package libretro-lutro:armhf (--install):
  379. dependency problems - leaving unconfigured
  380. dpkg: dependency problems prevent configuration of libretro-mame:armhf:
  381. libretro-mame:armhf depends on retroarch | libretro-frontend; however:
  382.   Package retroarch is not configured yet.
  383.   Package libretro-frontend is not installed.

  384. dpkg: error processing package libretro-mame:armhf (--install):
  385. dependency problems - leaving unconfigured
  386. dpkg: dependency problems prevent configuration of libretro-mame2003:armhf:
  387. libretro-mame2003:armhf depends on retroarch | libretro-frontend; however:
  388.   Package retroarch is not configured yet.
  389.   Package libretro-frontend is not installed.

  390. dpkg: error processing package libretro-mame2003:armhf (--install):
  391. dependency problems - leaving unconfigured
  392. dpkg: dependency problems prevent configuration of libretro-meteor:armhf:
  393. libretro-meteor:armhf depends on retroarch | libretro-frontend; however:
  394.   Package retroarch is not configured yet.
  395.   Package libretro-frontend is not installed.

  396. dpkg: error processing package libretro-meteor:armhf (--install):
  397. dependency problems - leaving unconfigured
  398. dpkg: dependency problems prevent configuration of libretro-mgba:armhf:
  399. libretro-mgba:armhf depends on retroarch | libretro-frontend; however:
  400.   Package retroarch is not configured yet.
  401.   Package libretro-frontend is not installed.

  402. dpkg: error processing package libretro-mgba:armhf (--install):
  403. dependency problems - leaving unconfigured
  404. dpkg: dependency problems prevent configuration of libretro-mupen64plus:armhf:
  405. libretro-mupen64plus:armhf depends on retroarch | libretro-frontend; however:
  406.   Package retroarch is not configured yet.
  407.   Package libretro-frontend is not installed.

  408. dpkg: error processing package libretro-mupen64plus:armhf (--install):
  409. dependency problems - leaving unconfigured
  410. dpkg: dependency problems prevent configuration of libretro-nestopia:armhf:
  411. libretro-nestopia:armhf depends on retroarch | libretro-frontend; however:
  412.   Package retroarch is not configured yet.
  413.   Package libretro-frontend is not installed.

  414. dpkg: error processing package libretro-nestopia:armhf (--install):
  415. dependency problems - leaving unconfigured
  416. dpkg: dependency problems prevent configuration of libretro-nxengine:armhf:
  417. libretro-nxengine:armhf depends on retroarch | libretro-frontend; however:
  418.   Package retroarch is not configured yet.
  419.   Package libretro-frontend is not installed.

  420. dpkg: error processing package libretro-nxengine:armhf (--install):
  421. dependency problems - leaving unconfigured
  422. dpkg: dependency problems prevent configuration of libretro-o2em:armhf:
  423. libretro-o2em:armhf depends on retroarch | libretro-frontend; however:
  424.   Package retroarch is not configured yet.
  425.   Package libretro-frontend is not installed.

  426. dpkg: error processing package libretro-o2em:armhf (--install):
  427. dependency problems - leaving unconfigured
  428. dpkg: dependency problems prevent configuration of libretro-pcsx-rearmed:armhf:
  429. libretro-pcsx-rearmed:armhf depends on retroarch | libretro-frontend; however:
  430.   Package retroarch is not configured yet.
  431.   Package libretro-frontend is not installed.

  432. dpkg: error processing package libretro-pcsx-rearmed:armhf (--install):
  433. dependency problems - leaving unconfigured
  434. dpkg: dependency problems prevent configuration of libretro-picodrive:armhf:
  435. libretro-picodrive:armhf depends on retroarch | libretro-frontend; however:
  436.   Package retroarch is not configured yet.
  437.   Package libretro-frontend is not installed.

  438. dpkg: error processing package libretro-picodrive:armhf (--install):
  439. dependency problems - leaving unconfigured
  440. dpkg: dependency problems prevent configuration of libretro-ppsspp:armhf:
  441. libretro-ppsspp:armhf depends on retroarch | libretro-frontend; however:
  442.   Package retroarch is not configured yet.
  443.   Package libretro-frontend is not installed.

  444. dpkg: error processing package libretro-ppsspp:armhf (--install):
  445. dependency problems - leaving unconfigured
  446. dpkg: too many errors, stopping
  447. Processing triggers for hicolor-icon-theme (0.13-1) ...
  448. Processing triggers for desktop-file-utils (0.22-1) ...
  449. Processing triggers for mime-support (3.58) ...
  450. Processing triggers for man-db (2.7.0.2-5) ...
  451. Errors were encountered while processing:
  452. libretro-common-overlays_0.1+r38-1-ubuntu15.10.1_all.deb
  453. libretro-beetle-pce-fast:armhf
  454. libretro-beetle-vb:armhf
  455. libretro-desmume:armhf
  456. libretro-mednafen-psx:armhf
  457. retroarch
  458. dinothawr
  459. libretro-2048:armhf
  460. libretro-4do:armhf
  461. libretro-beetle-gba:armhf
  462. libretro-beetle-lynx:armhf
  463. libretro-beetle-ngp:armhf
  464. libretro-beetle-pcfx:armhf
  465. libretro-beetle-sgx:armhf
  466. libretro-beetle-wswan:armhf
  467. libretro-bluemsx:armhf
  468. libretro-bsnes-accuracy:armhf
  469. libretro-bsnes-balanced:armhf
  470. libretro-bsnes-mercury-accuracy:armhf
  471. libretro-bsnes-mercury-balanced:armhf
  472. libretro-bsnes-mercury-performance:armhf
  473. libretro-bsnes-performance:armhf
  474. libretro-catsfc:armhf
  475. libretro-dinothawr:armhf
  476. libretro-dosbox:armhf
  477. libretro-eightyone:armhf
  478. libretro-fba:armhf
  479. libretro-fba-cps1:armhf
  480. libretro-fba-cps2:armhf
  481. libretro-fba-neogeo:armhf
  482. libretro-fceumm:armhf
  483. libretro-fmsx:armhf
  484. libretro-fuse:armhf
  485. libretro-gambatte:armhf
  486. libretro-genesisplusgx:armhf
  487. libretro-gpsp:armhf
  488. libretro-gw:armhf
  489. libretro-handy:armhf
  490. libretro-hatari:armhf
  491. libretro-lutro:armhf
  492. libretro-mame:armhf
  493. libretro-mame2003:armhf
  494. libretro-meteor:armhf
  495. libretro-mgba:armhf
  496. libretro-mupen64plus:armhf
  497. libretro-nestopia:armhf
  498. libretro-nxengine:armhf
  499. libretro-o2em:armhf
  500. libretro-pcsx-rearmed:armhf
  501. libretro-picodrive:armhf
  502. libretro-ppsspp:armhf
  503. Processing was halted because there were too many errors.
Copy the Code



18

Threads

303

Posts

7633

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
7633
Post time 2015-12-9 18:14:32 | Show all posts
Using Debian b.t.w.

11

Threads

286

Posts

1859

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
1859
 Author| Post time 2015-12-9 18:28:39 | Show all posts

this is for ubuntu,on debian clone retroarch git and use this sript for build.

This post contains more resources

You have to Login for download or view attachment(s). No Account? Register

x

18

Threads

303

Posts

7633

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
7633
Post time 2015-12-9 20:52:46 | Show all posts
melanrz replied at 2015-12-9 18:28
this is for ubuntu,on debian clone retroarch git and use this sript for build.

I will try later this night.

11

Threads

286

Posts

1859

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
1859
 Author| Post time 2015-12-10 00:10:08 From the mobile phone | Show all posts
For manu cores like pcsx for full speed you must compile with orangepi egl files so after you can play tekken 3 an almost full speed

18

Threads

303

Posts

7633

Credits

Moderator

Rank: 7Rank: 7Rank: 7

Credits
7633
Post time 2015-12-11 15:24:44 | Show all posts
Edited by jacer at 2015-12-11 15:26
melanrz replied at 2015-12-10 00:10
For manu cores like pcsx for full speed you must compile with orangepi egl files so after you can pl ...

Can you write a guide? Compile with orangepi egl files, can you write a script? The script shows below, H3 is cortex A7 I recall. Lubuntu installs OK.
  1. #!/bin/bash
  2. ## build script for RetroArch on ARM Linux (ORANGEPI)
  3. ## @author neagix (odroid)
  4. ## @version opi by h4u
  5. #

  6. export CFLAGS='-marm -mcpu=cortex-a9 -mtune=cortex-a9 -mfloat-abi=hard'
  7. export CXXFLAGS='-marm -mcpu=cortex-a9 -mtune=cortex-a9 -mfloat-abi=hard'
  8. export ASFLAGS='-marm -mcpu=cortex-a9 -mtune=cortex-a9 -mfloat-abi=hard'

  9. CONFIGOPTS="--disable-oss --disable-jack --disable-pulse --enable-xvideo  --enable-fbo --enable-x11 "
  10. CONFIGOPTS="$CONFIGOPTS --enable-opengl --enable-gles --disable-kms --disable-vg --enable-dylib --disable-ffmpeg"

  11. source ~/bin/armenv

  12. ./configure $CONFIGOPTS && \
  13. make -j5
Copy the Code


You have to log in before you can reply Login | Register

Points Rules

Archiver|Mobile edition|Darkroom|OrangePi En ( 粤ICP备14086627号-2

2019-8-23 21:06 GMT+8 , Processed in 0.031537 second(s), 20 queries .

Powered by Discuz! X3.2

© 2014-2015 orangepibbs en.

Quick Reply To Top Return to the list